/*
 * (C) Copyright 2000-2005 Hewlett-Packard Development Company, L.P.
 */
#ifndef CI_WRAP 
#define CI_WRAP 

//#ifdef LINUX

#ifndef NULL
#define NULL ((void*)0)
#endif



#ifdef DEBUG_INTR
#ifdef __KERNEL__
	#define DBG_INTR( fmt, args...) printk(fmt, ##args);
#else
	#define DBG_INTR( fmt, args...) printf(fmt, ##args);
#endif
#else
#define DBG_INTR( fmt, args...) 
#endif

#ifdef CPQCI_DEBUG
#include "CpqCiHlx.h" /* printk() */
#ifdef __KERNEL__
	void* CpqCiGetCurrentTask(void);
	#define DBG( fmt, args...) printk(fmt, ##args);
#else
	#define DBG( fmt, args...) printf(fmt, ##args);
#endif
#else
#define DBG( fmt, args...) 
#endif

#define PRINTF(fmt, args...)\
buflen+=CpqCiSNPrintf(buffer+buflen, bufsize-buflen, fmt, ##args);

#endif /* WRAP */
