/*
 * (C) Copyright 2000-2006 Hewlett-Packard Development Company, L.P.
 */
#include "CpqCiHlx.h"
#include "CpqCiTyp.h"
#include "CpqCi.h"

int CpqCiCas( vu64_t * Memory, u64_t Expected, u64_t New )
{
	asm volatile("lock; cmpxchg %1,%2"
		:"=a" (New)
		:"r" (New), "m" (*Memory), "0" (Expected));

	/* If the above failed, "eax" will have changed */
	if (New != Expected)
		return 0;	
	return 1;
}
